import { ElMessage } from 'element-plus';
import request from '/@/utils/request';
/**
 * @summary 获取配置表格
 */
export const GetMonitorSignalDockingLogicalTreeListByBelongTypeAndBelongID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Signal/Std/GetDockingLogicalTreeListByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * 获取配置表格
 * 报错时返回 undefined
 * @returns
 */
export const getMonitorSignalDockingLogicalTreeListByBelongTypeAndBelongID = async (params, req: any = request) => {
	const res = await GetMonitorSignalDockingLogicalTreeListByBelongTypeAndBelongID(params, req);

	if (res?.Code === 0) {
		const resData = (res.Data || []) as any[];
		return resData;
	} else {
		ElMessage.error('获取信号失败' + (res?.Message ? `，${JSON.stringify(res.Message)}` : ''));
		return [];
	}
};
